
import random
import string
import math
import os
import datetime
import hashlib
import json
import re
import collections

def generate_random_string(length, chars=string.ascii_letters + string.digits):
    return ''.join(random.choice(chars) for _ in range(length))

def xxx(arg1, arg2, arg3):
    # 使用random库生成随机字符串
    random_string = generate_random_string(10)
    
    # 使用string库检查字符串是否只包含字母
    is_alpha = all(char.isalpha() for char in arg1)
    
    # 使用math库计算两个数的最大公约数
    gcd = math.gcd(arg2, arg3)
    
    # 使用os库获取当前工作目录
    current_dir = os.getcwd()
    
    # 使用datetime库获取当前时间
    current_time = datetime.datetime.now()
    
    # 使用hashlib库生成字符串的MD5散列
    md5_hash = hashlib.md5(arg1.encode()).hexdigest()
    
    # 使用json库解析JSON字符串
    json_data = '{"name": "John", "age": 30}'
    parsed_data = json.loads(json_data)
    
    # 使用re库查找字符串中的所有数字
    pattern = re.compile(r'\d+')
    numbers = pattern.findall(arg1)
    
    # 使用collections库计算字符串中每个字符的出现次数
    letter_counts = collections.Counter(arg1)
    
    return random_string, is_alpha, gcd, current_dir, current_time, md5_hash, parsed_data, numbers, letter_counts



